use maraiah::{durandal::bin, marathon::phy};

include!("data/rand.rs");

#[test]
fn phy_must_not_process()
{
   for inp in &RANDOM {
      assert!(bin::rd_array(inp, phy::read_fxpx).is_err());
      assert!(bin::rd_array(inp, phy::read_mnpx).is_err());
      assert!(bin::rd_array(inp, phy::read_prpx).is_err());
      assert!(bin::rd_array(inp, phy::read_wppx).is_err());
   }
}

#[test]
#[allow(unused_must_use)]
fn phy_must_not_panic()
{
   for inp in &RANDOM {
      bin::rd_array(inp, phy::read_pxpx);
   }
}

// EOF
